// Delaunay.h: Delaunay Triangulation
// 2007-06-28
//
#ifdef VDELAUNAY
#error Secondary include
#endif
#define VDELAUNAY



void Delaunay(pvector &p, pvector &tr); //  :  p ->  tr

//   
void saveTriangles(pvector &triangles, char *filename, char*msg);//     
int  adjoinTriangle(pvector &tr, int k, int r);//      
void rotateTrangle(pnt *t);				// <*t, *(t+1), *(t+2)> -> <*(t+1), *(t+2), *t>

int		EdgeLen2(pvector &edges, int i);					//   i- 
void	swapPoints(pnt &p1, pnt &p2);						//  
bool	SameP(pnt &v1, pnt &v2);							//    ?
bool	SameE(pnt &v1, pnt &v2, pnt &v3, pnt &v4);			//    (v1,v2)  (v3,v4) ?
bool	SameT(pnt &v1, pnt &v2, pnt &v3, pnt &w1, pnt &w2, pnt &w3); //   
int		edgeInTri(pvector &tr, pnt &v1, pnt &v2);			//    [v1,v2]  - 

#define MAX_TRIANGLE 20 //    ,   

//   it[0..19]   ,    p
//   ind[0..19] -   p     (0|1|2)
//   
int getListOfTrianglesInPoint(pvector &tr, pnt &p, int *it, int *ind);

