; extern "C" u64     mul_mod_ams(u64 a, u64 b, u64 n);
; Project ->Properties -> Build Dependences -> Build Customizations.. ->  masm
; mul_mod.asm -> Properties -> (Platform=x64) Microsoft Macro Assembler -> Preprocessor Definition -> _WIN64
;  mul   rax   
IFDEF _WIN64			;  32-   
.CODE
mul_mod_asm PROC
;  rcx = a
;  rdx = b
;  r8  = n
	mov rax, rdx		; put b into rax
	mul rcx             ; mul a*b -> rdx:rax
	div r8              ; (a*b)/n -> quot in rax remainder in rdx
	mov rax, rdx		;  RDX  RAX 
	ret					;     
mul_mod_asm ENDP
ENDIF
END
