// useful.h  ,    
// 2017-06-10
//
//////////////////////////////////////////////////////////////////////
#ifndef IMATRIX
#error iMatrix.h not included
#endif

#ifndef IMATRIX3
#error iMatrix3.h not included
#endif

#ifndef PVECTORS
#error pvectors.h not included
#endif

#ifndef VTRANSF
#error vTransf.h not included
#endif

#define USEFUL
// list:=     N*M,   (x0,y0)
void   setListSQ(pvector &list, int x0, int y0, int N, int M);	// list:=   N*M,   (x0,y0)

//-----------------------------------------------------------------------------
//  
void mShift1(matr  &src, matr &dst,  double vx, double vy);		// dst:= src   (vx,vy)
void mShift3(matr  &src, matr &dst,  double vx, double vy);		// dst:= src   (vx,vy) 
void mShift1(matr3 &src, matr3 &dst, double vx, double vy);		// dst:= src   (vx,vy)
void mShift3(matr3 &src, matr3 &dst, double vx, double vy);		// dst:= src   (vx,vy) 

//-----------------------------------------------------------------------------
//  
void   trApply1(matr  &dst, matr  &src, CvTransf &tr);			// dst:=tr(src) 
void   trApply3(matr  &dst, matr  &src, CvTransf &tr);			// dst:=tr(src) 
void   trApply1(matr3 &dst, matr3 &src, CvTransf &tr);			// dst:=tr(src) 
void   trApply3(matr3 &dst, matr3 &src, CvTransf &tr);			// dst:=tr(src) 


//-----------------------------------------------------------------------------
void setMult(double coeff);			//  ,      S
void setSqrt(bool sqrt=true);		//        S

// ,  S,   ()
double fSi(matr  &a, matr  &b, int vx, int vy, pvector &list);	// S     
double fSi(matr3 &a, matr3 &b, int vx, int vy, pvector &list);	// S     


double fS1Pnt(matr  &a, matr  &b, CvTransf &tr, int x, int y);		// S   
double fS3Pnt(matr  &a, matr  &b, CvTransf &tr, int x, int y);		// S   
double fS1Pnt(matr3 &a, matr3 &b, CvTransf &tr, int x, int y);		// S   
double fS3Pnt(matr3 &a, matr3 &b, CvTransf &tr, int x, int y);		// S   

double fSd1(matr  &a, matr  &b, double vx, double vy, pvector &list);// S       
double fSd3(matr  &a, matr  &b, double vx, double vy, pvector &list);// S     
double fSd1(matr3 &a, matr3 &b, double vx, double vy, pvector &list);// S       
double fSd3(matr3 &a, matr3 &b, double vx, double vy, pvector &list);// S     

double fS1(matr  &a, matr  &b, CvTransf &tr, pvector &list);	// S   
double fS3(matr  &a, matr  &b, CvTransf &tr, pvector &list);	// S   
double fS1(matr3 &a, matr3 &b, CvTransf &tr, pvector &list);	// S   
double fS3(matr3 &a, matr3 &b, CvTransf &tr, pvector &list);	// S   

//-----------------------------------------------------------------------------
// - -
double LK0_searchI(matr3 &a, matr3 &b, pvector &list, int h, int Nh, int &vx, int &vy, char *prot = NULL);	//     h,  Nh , 
void LK0_search(matr3 &a, matr3 &b, pvector &list, int h, int Nh, double &vx, double &vy, char *prot = NULL);	//     h,  Nh 

//

//
